Cyberduck Mountain Duck CLI

#9985 closed defect (fixed)

Resume for SLO objects on OpenStack Swift broken. Patch included.

Reported by: thomas.menari Owned by: dkocher
Priority: normal Milestone: 6.1.0
Component: openstack Version: Nightly Build
Severity: normal Keywords:
Cc: blimus@… Architecture: Intel
Platform: Mac OS X 10.11

Description

Hi Cyberduck,

We've tested through 5.0 to latest Git master and have seen some issues when resuming uploads of SLO files. This seems to be because of the prefix chosen for segments. The below patch appears to fix this and allows me to pause and resume a file multiple times, each time it will resume from the previous pause point and the md5 of the file after all this matches the source.

In earlier versions of Cyberduck, resume would start from the first time you stopped, and in latter versions it will not resume at all and start from the beginning.

Attachments (1)

0001-Fix-OpenStack-large-object-size-calulation-for-resum.patch (2.5 KB) - added by thomas.menari on Jun 21, 2017 at 12:05:26 AM.

Download all attachments as: .zip

Change History (10)

comment:1 Changed on Jun 21, 2017 at 7:18:31 PM by david cole

  • Cc blimus@… added

comment:2 Changed on Jun 21, 2017 at 7:30:05 PM by dkocher

  • Milestone set to 6.1
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on Jun 21, 2017 at 8:11:53 PM by dkocher

Thanks for the patch and finding this bug!

comment:4 follow-up: Changed on Jun 22, 2017 at 6:00:51 AM by yla

  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed in r41519.

Last edited on Jun 22, 2017 at 6:34:07 PM by dkocher (previous) (diff)

comment:5 in reply to: ↑ 4 Changed on Jun 22, 2017 at 3:42:47 PM by thomas.menari

  • Resolution fixed deleted
  • Status changed from closed to reopened

Replying to yla:

Probably you intended to bump openstack module rev here and not onedrive as in the commit?

Fixed in r41519.

comment:6 Changed on Jun 22, 2017 at 6:32:57 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

comment:7 Changed on Jun 22, 2017 at 6:33:50 PM by dkocher

Fix in r41517.

comment:8 Changed on Jun 22, 2017 at 6:37:48 PM by thomas.menari

Ah I see, thanks!

comment:9 Changed on Oct 21, 2018 at 2:51:02 PM by dkocher

  • Milestone changed from 6.1 to 6.1.0

Milestone renamed

Note: See TracTickets for help on using tickets.
swiss made software